org.apache.hive.jdbc

## Class HttpResponseInterceptorBase

- java.lang.Object
- - org.apache.hive.jdbc.HttpResponseInterceptorBase

All Implemented Interfaces:
  org.apache.http.HttpResponseInterceptor

Direct Known Subclasses:
  HttpDefaultResponseInterceptor

    public abstract class HttpResponseInterceptorBase
    extends Object
    implements org.apache.http.HttpResponseInterceptor

### Field Summary

Fields
`protected org.slf4j.Logger` `LOG`

### Constructor Summary

Constructors
Constructor and Description
`HttpResponseInterceptorBase()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.http.HttpResponseInterceptor

`process`

### Field Detail

#### LOG

    protected final org.slf4j.Logger LOG

### Constructor Detail

#### HttpResponseInterceptorBase

    public HttpResponseInterceptorBase()